## Class THotSpotMode

Description

THotSpotMode class.

THotSpotMode defines the enumerable type for the possible hot spot modes.

The following enumerable values are defined:

- NotSet: the mode is not specified
- Navigate: clicking on the hotspot will redirect the browser to a different page
- PostBack: clicking on the hotspot will cause a postback
- Inactive: the hotspot is inactive (not clickable)

- since: 3.0.4
- version: $Id: TImageMap.php 1913 2007-05-08 15:59:13Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TImageMap.php (line 830)

    TEnumerable
       |
       --THotSpotMode

Class Constant Summary
Inactive = 'Inactive'
Navigate = 'Navigate'
NotSet = 'NotSet'
PostBack = 'PostBack'
Class Constants
Inactive = 'Inactive' (line 835)
Navigate = 'Navigate' (line 833)
NotSet = 'NotSet' (line 832)
PostBack = 'PostBack' (line 834)

Documentation generated on Mon, 21 Apr 2008 11:35:16 -0400 by phpDocumentor 1.3.0RC4